Bug 197202 - [NEW PORT] www/iojs v1.0.4
Summary: [NEW PORT] www/iojs v1.0.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vanilla I. Shu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-30 17:25 UTC by linpct
Modified: 2015-02-08 05:19 UTC (History)
1 user (show)

See Also:


Attachments
www.iojs.shar (3.68 KB, text/plain)
2015-01-30 17:25 UTC, linpct
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description linpct 2015-01-30 17:25:53 UTC

    
Comment 1 linpct 2015-01-30 17:25:55 UTC
Created attachment 152381 [details]
www.iojs.shar
Comment 2 commit-hook freebsd_committer 2015-02-06 05:52:29 UTC
A commit references this bug:

Author: vanilla
Date: Fri Feb  6 05:52:24 UTC 2015
New revision: 378505
URL: https://svnweb.freebsd.org/changeset/ports/378505

Log:
  1: Add iojs 1.0.4, v8 JavaScript for client and server.
  2: add a patch to remove MAP_NORESERVE.
  3: switch to USE_GITHUB

  PR:		197202
  Submitted by:	Jin-Sih Lin <linpct@gmail.com> [1]

Changes:
  head/www/Makefile
  head/www/iojs/
  head/www/iojs/Makefile
  head/www/iojs/distinfo
  head/www/iojs/files/
  head/www/iojs/files/patch-deps_v8_src_base_platform_platform-freebsd.cc
  head/www/iojs/pkg-descr
  head/www/iojs/pkg-plist
Comment 3 Vanilla I. Shu freebsd_committer 2015-02-06 05:55:45 UTC
Committed, thanks.


1: please do not use v${PORTVERSION} as distname.
2: USE_GITHUB & GH_* will be your friend.
3: libdata/ldconfig/* handled by USE_LDCONFIG already.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2015-02-08 05:19:14 UTC
Committed by vanilla.